<?php
class SsoCode {
	public static $SSO_SERVER = 'S';
	public static $SSO_API = 'C';
	public static $SSO_AGENT = 'A';

	// STANDARD 명령어 (100 ~ )
	public static $CMD_HELLO = 100;
	public static $CMD_ISSUE_TOKEN = 101;
	public static $CMD_VERIFY_TOKEN = 102;

	// PROFESSIONAL 명령어 (200 ~ )

	// ENTERPRIZE 명령어 (300 ~ )

	// SSO API 에러 (-500 ~)
	public static $ERR_SERVER_CONNECTION_FAIL = -501;
	public static $ERR_AGENT_CONNECTION_FAIL = -502;
	public static $ERR_NO_RESPONSE = -503;
	public static $ERR_USERID_NOT_SET = -504;
	public static $ERR_CLIENT_IP_NOT_SET = -505;
	public static $ERR_TOKEN_NOT_SET = -506;
	
	
	public static $KEY_CREATE_TIME = "T_CREATE_TIME";
	public static $KEY_CLIENT_IP = "T_CLIENT_IP";
	public static $KEY_USER_ID = "T_USER_ID";

	public static $KEY_ERROR = "T_ERROR";
	public static $KEY_WARN = "T_WARN";

	public static $KEY_TOKEN = "T_TOKEN";
	public static $KEY_DATA = "T_DATA";
	public static $KEY_AES_KEY = "T_AES_KEY";
}
?>